(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"beachphoto_atlas_", frames: [[0,0,679,1018],[1024,540,340,509],[1489,0,416,600],[681,540,341,540],[681,0,806,538]]}
];


// symbols:



(lib.CachedTexturedBitmap_1 = function() {
	this.initialize(ss["beachphoto_atlas_"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.sunset2 = function() {
	this.initialize(ss["beachphoto_atlas_"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.sunset3 = function() {
	this.initialize(ss["beachphoto_atlas_"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.sunset5 = function() {
	this.initialize(ss["beachphoto_atlas_"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.sunset6 = function() {
	this.initialize(ss["beachphoto_atlas_"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.photo4 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.sunset3();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo4, new cjs.Rectangle(0,0,416,600), null);


(lib.photo3 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.sunset6();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo3, new cjs.Rectangle(0,0,806,538), null);


(lib.photo2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.sunset5();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo2, new cjs.Rectangle(0,0,341,540), null);


(lib.photo1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.sunset2();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo1, new cjs.Rectangle(0,0,340,509), null);


// stage content:
(lib.beachphoto = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		//
		///* Fade In Movie Clip
		//Fades in the symbol instance by increasing its alpha property within an ENTER_FRAME event until it is fully visible.
		//
		//Instructions:
		//1. To change the speed at which the symbol instance fades in, change the 0.01 value below (the number must be greater than 0 and less than or equal to 1). Higher values cause faster fade in.
		//2. Because the animation uses an ENTER_FRAME event, it progresses only when the playhead moves to a new frame. The speed of the animation is also affected by the document frame rate.
		//*/
		//
		//photo.addEventListener(Event.ENTER_FRAME, fl_FadeSymbolIn);
		//photo.alpha = 0;
		//
		//function fl_FadeSymbolIn(event:Event)
		//{
		//	photo.alpha += 0.05;
		//	if(photo.alpha >= 1)
		//	{
		//		photo.removeEventListener(Event.ENTER_FRAME, fl_FadeSymbolIn);
		//	}
		//}
		//
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(280));

	// Layer_5
	this.photo = new lib.photo4();
	this.photo.name = "photo";
	this.photo.parent = this;
	this.photo.setTransform(175,287,1,1,0,0,0,208,300);
	this.photo._off = true;

	this.timeline.addTween(cjs.Tween.get(this.photo).wait(210).to({_off:false},0).wait(70));

	// Layer_3
	this.photo_1 = new lib.photo3();
	this.photo_1.name = "photo_1";
	this.photo_1.parent = this;
	this.photo_1.setTransform(394,256,1,1,0,0,0,403,269);
	this.photo_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.photo_1).wait(140).to({_off:false},0).to({_off:true},70).wait(70));

	// Layer_2
	this.photo_2 = new lib.photo2();
	this.photo_2.name = "photo_2";
	this.photo_2.parent = this;
	this.photo_2.setTransform(169.5,263,1,1,0,0,0,170.5,270);
	this.photo_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.photo_2).wait(70).to({_off:false},0).to({_off:true},70).wait(140));

	// Layer_4
	this.instance = new lib.CachedTexturedBitmap_1();
	this.instance.parent = this;
	this.instance.setTransform(0,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({_off:true},70).wait(210));

	// Layer_1
	this.photo_3 = new lib.photo1();
	this.photo_3.name = "photo_3";
	this.photo_3.parent = this;
	this.photo_3.setTransform(170,254.5,1,1,0,0,0,170,254.5);

	this.timeline.addTween(cjs.Tween.get(this.photo_3).to({_off:true},70).wait(210));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(137,241.5,660,345.5);
// library properties:
lib.properties = {
	id: 'DD4241C9CFF66E42AAB56A63C9345F3E',
	width: 340,
	height: 509,
	fps: 24,
	color: "#FF6600",
	opacity: 1.00,
	manifest: [
		{src:"images/beachphoto_atlas_.png", id:"beachphoto_atlas_"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['DD4241C9CFF66E42AAB56A63C9345F3E'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}			
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;			
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});			
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;			
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;